package com.hai.model;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Date;

public class HighUserDiscountUnicomModel {
    /**
     * id
     */
    private Integer id;

    /**
     * 使用归属
     */
    private Integer usingAttribution;

    /**
     * 状态  0:已过期  1：未使用  2：已使用    100：删除
     */
    private Integer status;

    /**
     * 优惠券图片
     */
    private String discountImg;

    /**
     * 使用时间
     */
    private Date useTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 使用截止时间
     */
    private Date useEndTime;

    /**
     * 优惠券名称
     */
    private String discountName;

    /**
     * 卡卷类型  1：满减  2：抵扣   3：折扣
     */
    private Integer discountType;

    /**
     * 优惠券条件(满减价格)
     */
    private BigDecimal discountCondition;

    /**
     * 优惠券价格
     */
    private BigDecimal discountPrice;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUsingAttribution() {
        return usingAttribution;
    }

    public void setUsingAttribution(Integer usingAttribution) {
        this.usingAttribution = usingAttribution;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getUseTime() {
        return useTime;
    }

    public void setUseTime(Date useTime) {
        this.useTime = useTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUseEndTime() {
        return useEndTime;
    }

    public void setUseEndTime(Date useEndTime) {
        this.useEndTime = useEndTime;
    }

    public String getDiscountName() {
        return discountName;
    }

    public void setDiscountName(String discountName) {
        this.discountName = discountName;
    }

    public Integer getDiscountType() {
        return discountType;
    }

    public void setDiscountType(Integer discountType) {
        this.discountType = discountType;
    }

    public BigDecimal getDiscountCondition() {
        return discountCondition;
    }

    public void setDiscountCondition(BigDecimal discountCondition) {
        this.discountCondition = discountCondition;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }

    public String getDiscountImg() {
        return discountImg;
    }

    public void setDiscountImg(String discountImg) {
        this.discountImg = discountImg;
    }
}
